package com.ruoyi.web.v3.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbHarmlessTreatmentEntity;
import com.ruoyi.web.v3.model.request.HbHarmlessTreatmentPageReq;


/**
 * <p>
 * v3.0无害化处理登记 服务类
 * </p>
 */
public interface IHbHarmlessTreatmentService extends IService<HbHarmlessTreatmentEntity> {

    AjaxResult add(HbHarmlessTreatmentEntity request);

    AjaxResult edit(HbHarmlessTreatmentEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbHarmlessTreatmentPageReq request);

    AjaxResult listAll();
}
